package ee.ut.math.tvt2008.salessystem.penalty.standard.model;

import java.util.Collection;

/**
 * Class describing penalty rule.
 * 
 * @author Anton Litvinenko
 */
public class PenaltyRule {
	
	private String name;
	private String description;
	private Long clientId;
	private Period period;
	private Collection<Item> items;

	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description
	 *            The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return Returns the clientId.
	 */
	public Long getClientId() {
		return clientId;
	}

	/**
	 * @param clientId
	 *            The clientId to set.
	 */
	public void setClientId(Long clientId) {
		this.clientId = clientId;
	}

	/**
	 * @return Returns the items.
	 */
	public Collection<Item> getItems() {
		return items;
	}

	/**
	 * @param items The items to set.
	 */
	public void setItems(Collection<Item> items) {
		this.items = items;
	}

	/**
	 * @return Returns the period.
	 */
	public Period getPeriod() {
		return period;
	}

	/**
	 * @param period The period to set.
	 */
	public void setPeriod(Period period) {
		this.period = period;
	}

}
